Subject: [RTG-DIR] Enke Chen retiring from the Routing Directorate

From: "Adrian Farrel" <[email-masked]>
Date: Thu, 31 Jan 2013 19:07:18 -0000

Owing to pressure of real-world activities, Enke has also chosen to not renew
his membership of the Directorate.

Stewart and I would like to express our thanks for Enke's contributions.
 
Adrian